[ Identification | Description | Input parameters | Output parameters | Links ]

# The `Divergence_monitor` Component

Horizontal+vertical divergence monitor.

## Identification

- Author: Kim Lefmann
- Origin: Risoe
- Date: Nov. 11, 1998
- Version: 1.21

## Description

    A divergence sensitive monitor. The counts are distributed in
    (n times m) pixels.

    Example: Divergence_monitor(nh=20, nv=20, filename="Outout.pos",
              xmin=-0.1, xmax=0.1, ymin=-0.1, ymax=0.1,
              h_maxdiv=2, v_maxdiv=2)

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
nh | 1 | Number of pixel rows | 20
nv | 1 | Number of pixel columns | 20
filename | text | Name of file in which to store the detector image |
xmin | m | Lower x bound of detector opening | 0
xmax | m | Upper x bound of detector opening | 0
ymin | m | Lower y bound of detector opening | 0
ymax | m | Upper y bound of detector opening | 0
xwidth | m | Width/diameter of detector (x). Overrides xmin,xmax. | 0
yheight | m | Height of detector (y). Overrides ymin,ymax. | 0
h_maxdiv | degrees | Maximal vertical divergence detected | 2
v_maxdiv | degrees | Maximal vertical divergence detected | 2

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
Div_N | - | Array of neutron counts |
Div_p | - | Array of neutron weight counts |
Div_p2 | - | Array of second moments |

## Links

- Source code for `Divergence_monitor.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]